Results 1 to 3 of 3

Thread: Error while running apt-get

  1. #1
    Just burned his ISO
    Join Date
    Sep 2012
    Posts
    1

    Default Error while running apt-get

    when i run apt-get update it give me
    E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem.
    i tried running
    dpkg --configure -a
    but gives me
    dpkg: parse error, in file '/var/lib/dpkg/status' near line 0:
    EOF after field name `'
    I also tried running
    dpkg --clear-avail
    But still problem is there

  2. #2
    My life is this forum thorin's Avatar
    Join Date
    Jan 2010
    Posts
    2,629

    Default Re: Error while running apt-get

    I'm shooting in the dark here, I haven't done any research but if it's complaining about reading /var/lib/dpkg/status why don't you just try backing up the file and seeing if apt/dpkg recreate it in a manner they'll be happy with.

    mv /var/lib/dpkg/status /var/lib/dpkg/status.bak

    Run your apt-get or dpkg again and see what happens. If it works then great, if you get a different error then you can always put the file back. (If it won't let you mv the file try sudo mv.)
    I'm a compulsive post editor, you might wanna wait until my post has been online for 5-10 mins before quoting it as it will likely change.

    I know I seem harsh in some of my replies. SORRY! But if you're doing something illegal or posting something that seems to be obvious BS I'm going to call you on it.

  3. #3
    Very good friend of the forum maverik35's Avatar
    Join Date
    Sep 2009
    Location
    Debian land
    Posts
    734

    Default Re: Error while running apt-get

    If thorin method does not work, try to lok into /var/backups and find dpkg.status.x (x = 1,2 , 3 etc. they are old backups), unzip one of them and copy it as status. You might have a corrupted file...then try to update.

    First, backup you status file (status.old or as stated by thorin), and then copy one you unzip. If it did not work, try another one.

    Hope it helps.

Similar Threads

  1. error running vmplayer 2.5.2
    By madhanmech in forum Beginners Forum
    Replies: 0
    Last Post: 08-18-2010, 01:26 PM
  2. Error when running goorecon
    By upnorth in forum Beginners Forum
    Replies: 2
    Last Post: 06-03-2010, 10:51 PM
  3. Error on running sslstrip 0.5
    By jkroeder in forum OLD Newbie Area
    Replies: 0
    Last Post: 09-13-2009, 11:52 PM
  4. Error running Airoscript
    By runnerz in forum OLD Newbie Area
    Replies: 6
    Last Post: 09-30-2007, 06:13 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •